<?php
include 'koneksi.php';

$tanggal = $_GET['tanggal'] ?? date('Y-m-d');

$data = $koneksi->query("
SELECT k.*, s.tingkat, s.jurusan, s.rombel 
FROM keterlambatan k
LEFT JOIN data_siswa s ON k.siswa_id = s.id
WHERE k.tanggal='$tanggal'
ORDER BY k.id DESC
");

while($d = $data->fetch_assoc()){

    $kelas = $d['tingkat']." ".$d['jurusan']." ".$d['rombel'];

    echo "<tr>
    <td>{$d['nama_siswa']}</td>
    <td>{$kelas}</td>
    <td>{$d['jam_datang']}</td>
    <td>{$d['menit_terlambat']} menit</td>
    <td>{$d['alasan']}</td>
    <td>
        <button class='btn btn-danger btn-sm' onclick='hapusTelat({$d['id']})'>Hapus</button>
    </td>
    </tr>";
}